## extra-window-functions 1.0

=== Makefile ===
MODULES = extra_window_functions
EXTENSION = extra_window_functions
DOCS = README.extra_window_functions

DATA = extra_window_functions--1.0.sql

REGRESS = regression

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

## extra-window-functions 1.0~20220627.1539-3~1.gitdcd988b.pgdg18.04+1

=== debian/changelog ===
extra-window-functions (1.0~20220627.1539-3~1.gitdcd988b.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 11 Oct 2021 11:18:41 +0200

extra-window-functions (1.0-3) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Oct 2021 11:18:41 +0200

extra-window-functions (1.0-2) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Christoph Berg ]
  * Upload for PostgreSQL 13.
  * Use dh --with pgxs.
  * R³: no.

 -- Christoph Berg <myon@debian.org>  Sun, 18 Oct 2020 22:12:19 +0200

extra-window-functions (1.0-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Sat, 27 Jun 2020 22:56:13 +0200

=== debian/control ===
Source: extra-window-functions
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>,
Build-Depends: debhelper (>= 11), postgresql-all (>= 217~)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/postgresql/extra-window-functions
Vcs-Git: https://salsa.debian.org/postgresql/extra-window-functions.git
Homepage: https://github.com/xocolatl/extra_window_functions

Package: postgresql-10-extra-window-functions
Architecture: any
Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
Description: Extra Window Functions for PostgreSQL
 This extension provides additional window functions to PostgreSQL. Some of
 them provide SQL Standard functionality but without the SQL Standard grammar,
 others extend on the SQL Standard, and still others are novel and hopefully
 useful to someone.

Package: postgresql-11-extra-window-functions
Architecture: any
Depends: postgresql-11, ${misc:Depends}, ${shlibs:Depends}
Description: Extra Window Functions for PostgreSQL
 This extension provides additional window functions to PostgreSQL. Some of
 them provide SQL Standard functionality but without the SQL Standard grammar,
 others extend on the SQL Standard, and still others are novel and hopefully
 useful to someone.

Package: postgresql-12-extra-window-functions
Architecture: any
Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
Description: Extra Window Functions for PostgreSQL
 This extension provides additional window functions to PostgreSQL. Some of
 them provide SQL Standard functionality but without the SQL Standard grammar,
 others extend on the SQL Standard, and still others are novel and hopefully
 useful to someone.

Package: postgresql-13-extra-window-functions
Architecture: any
Depends: postgresql-13, ${misc:Depends}, ${shlibs:Depends}
Description: Extra Window Functions for PostgreSQL
 This extension provides additional window functions to PostgreSQL. Some of
 them provide SQL Standard functionality but without the SQL Standard grammar,
 others extend on the SQL Standard, and still others are novel and hopefully
 useful to someone.

Package: postgresql-14-extra-window-functions
Architecture: any
Depends: postgresql-14, ${misc:Depends}, ${shlibs:Depends}
Description: Extra Window Functions for PostgreSQL
 This extension provides additional window functions to PostgreSQL. Some of
 them provide SQL Standard functionality but without the SQL Standard grammar,
 others extend on the SQL Standard, and still others are novel and hopefully
 useful to someone.

## extra-window-functions 1.0~20220627.1539-3~1.gitdcd988b.pgdg20.04+1

=== debian/changelog ===
extra-window-functions (1.0~20220627.1539-3~1.gitdcd988b.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 11 Oct 2021 11:18:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>,
-Build-Depends: debhelper (>= 11), postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 12), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/extra-window-functions

## extra-window-functions 1.0

=== debian/control ===
Source: extra-window-functions
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>,
Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/postgresql/extra-window-functions
Vcs-Git: https://salsa.debian.org/postgresql/extra-window-functions.git
Homepage: https://github.com/xocolatl/extra_window_functions

Package: postgresql-13-extra-window-functions
Architecture: any
Depends: postgresql-13, ${misc:Depends}, ${shlibs:Depends}
Description: Extra Window Functions for PostgreSQL
 This extension provides additional window functions to PostgreSQL. Some of
 them provide SQL Standard functionality but without the SQL Standard grammar,
 others extend on the SQL Standard, and still others are novel and hopefully
 useful to someone.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_installdocs:
	dh_installdocs --all README.*

%:
	dh $@ --with pgxs

=== debian/watch ===
version=4
https://github.com/xocolatl/extra_window_functions/releases .*/v(.*).tar.gz
